import request from '@/utils/request'

// 查询全镇公共物资管理列表
export function listManage(query) {
  return request({
    url: '/mudu/manage/list',
    method: 'get',
    params: query
  })
}

// 查询全镇公共物资管理详细
export function getManage(id) {
  return request({
    url: '/mudu/manage/' + id,
    method: 'get'
  })
}

// 新增全镇公共物资管理
export function addManage(data) {
  return request({
    url: '/mudu/manage',
    method: 'post',
    data: data
  })
}

// 修改全镇公共物资管理
export function updateManage(data) {
  return request({
    url: '/mudu/manage',
    method: 'put',
    data: data
  })
}

// 删除全镇公共物资管理
export function delManage(id) {
  return request({
    url: '/mudu/manage/' + id,
    method: 'delete'
  })
}
